#
# spec file for package hello-kubic
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hello-kubic
Version:        1.4.1
Release:        1.11
Summary:        A mini webserver showing a hello kubic page
License:        Apache-2.0
URL:            https://github.com/thkukuk/hello-kubic
Source:         %{name}-%{version}.tar.xz
BuildRequires:  golang(API) >= 1.16
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 %ix86

%description
hello-kubic is a mini webserver with a "Hello Kubic" webpage
containing some informations about the running system, container
or pod.

%package k8s-yaml
Summary:        Kubernetes yaml file to run hello-kubic container
Group:          System/Management
BuildArch:      noarch

%description k8s-yaml
This package contains the yaml file requried to download and run the
hello-kubic container in a kubernetes cluster.

hello-kubic is a mini webserver with a "Hello Kubic" webpage
containing some informations about the running pod.

%prep
%setup -q

%build
make build

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 bin/hello-kubic %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/hello-kubic
cp -av webpage/* %{buildroot}%{_datadir}/hello-kubic/

# Install provided yaml file to download and run the hello-kubic container
mkdir -p %{buildroot}%{_datadir}/k8s-yaml/hello-kubic
install -m 0644 yaml/hello-kubic.yaml %{buildroot}%{_datadir}/k8s-yaml/hello-kubic/hello-kubic.yaml
install -m 0644 yaml/kustomization.yaml %{buildroot}%{_datadir}/k8s-yaml/hello-kubic/kustomization.yaml

%files
%defattr(-,root,root)
%license LICENSE
%{_bindir}/hello-kubic
%{_datadir}/hello-kubic

%files k8s-yaml
%dir %{_datarootdir}/k8s-yaml
%dir %{_datarootdir}/k8s-yaml/hello-kubic
%{_datarootdir}/k8s-yaml/hello-kubic/hello-kubic.yaml
%{_datarootdir}/k8s-yaml/hello-kubic/kustomization.yaml

%changelog
* Wed Aug 10 2022 Thorsten Kukuk <kukuk@suse.com>
- Update to version 1.4.1
  - Print info messages on stdout,  not stderr
* Tue Mar 16 2021 Thorsten Kukuk <kukuk@suse.com>
- Update to version 1.4
  - Change to go.mod
* Mon Mar 15 2021 Jeff Kowalczyk <jkowalczyk@suse.com>
- Set GO111MODULE=auto to build with go1.16+
  * Default changed to GO111MODULE=on in go1.16
  * Set temporarily until upstream has go.mod in top level directory
  * Drop BuildRequires: golang-packaging not currently using macros
* Sun Dec 22 2019 kukuk@suse.de
- Update to version 1.3
  - add kustomize support
* Thu Nov  7 2019 kukuk@suse.de
- Update to version 1.2
  - use official openSUSE container image
* Mon Sep  9 2019 kukuk@suse.de
- Update to version 1.1
  - print additional architecture information
* Wed Aug 21 2019 kukuk@suse.de
- Initial version
